import { select, json, csvFormat } from 'd3';

const body = select('body');

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1024);

const renderData = data => {
  body
    .append('hr');

  body
    .append('pre')
      .text([
        `${data.length} rows`,
        `${Object.keys(data[0]).length} columns`,
        `${kilobytes(data)} KB`
      ].join(', '));
  
  body
    .append('pre')
      .text('First 10 rows:');

  body
    .append('pre')
      .text(JSON.stringify(data.slice(0, 10), null, 2));
}

json('https://vizhub.com/rubens2005/datasets/songs.csv')
  .then(data => {
    const trackNumber = 0;
    renderData(data[0].notas[trackNumber]);
  });